Une BĂ©vue wrote:
> when i try to install the gem icu4r (under Mac OS SL)
> i get :
> 
> $ sudo gem install icu4r
> Password:
> Building native extensions.  This could take a while...
> ERROR:  While executing gem ... (TypeError)
>     can't convert Float into String
> can't convert Float into String (TypeError)
> 
> 
> this using ruby 1.9 or marcruby

Is this the one you're trying to port?

$ gem search --remote icu4r

*** REMOTE GEMS ***

icu4r (0.1.4.2006.05.29)

That's very old, I guess it's not ruby 1.9 compatible. Google "icu4r 
ruby 1.9" turns up icu4r_19 on github which appears to have been ported. 
No idea about OSX.
-- 
Posted via http://www.ruby-forum.com/.